> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topograph.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List monitored companies



## OpenAPI

````yaml get /v2/monitors
openapi: 3.0.0
info:
  title: Topograph
  description: The Topograph API
  version: '0.1'
  contact: {}
servers:
  - url: https://api.topograph.co
security:
  - x-api-key: []
tags: []
paths:
  /v2/monitors:
    get:
      tags:
        - Monitors
      summary: List monitored companies
      operationId: MonitoringController_listMonitors_v2
      parameters:
        - name: companyId
          required: false
          in: query
          description: Filter by company ID
          schema:
            example: '123456789'
            type: string
        - name: countryCode
          required: false
          in: query
          description: Filter by country code (ISO 2-letter)
          schema:
            example: DE
            type: string
            enum:
              - AT
              - BE
              - BG
              - CH
              - CN
              - CZ
              - CY
              - DE
              - DK
              - EE
              - ES
              - FI
              - FR
              - GB
              - GG
              - GR
              - HK
              - HR
              - HU
              - IE
              - IS
              - IT
              - JE
              - LI
              - LU
              - LV
              - MC
              - MT
              - MU
              - NL
              - 'NO'
              - PL
              - PT
              - RO
              - RU
              - SE
              - SG
              - SI
              - SK
              - VG
        - name: after
          required: false
          in: query
          description: Cursor for pagination
          schema:
            example: cmfzlu1dt000j12ldeqrfszq0
            type: string
        - name: first
          required: false
          in: query
          description: 'Number of items to fetch (default: 50)'
          schema:
            minimum: 1
            example: 25
            type: number
      responses:
        '200':
          description: List of monitors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListMonitorsResponseDto'
        '401':
          description: Invalid or missing API key
      security:
        - x-api-key: []
components:
  schemas:
    ListMonitorsResponseDto:
      type: object
      properties:
        monitors:
          description: List of monitored companies
          type: array
          items:
            $ref: '#/components/schemas/MonitorDto'
        total:
          type: number
          description: Total number of monitors
          example: 10
        hasNextPage:
          type: boolean
          description: Whether there is a next page available
          example: true
        nextCursor:
          type: string
          description: Cursor for the next page
          example: cmfzlu1dt000j12ldeqrfszq0
      required:
        - monitors
        - total
        - hasNextPage
    MonitorDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the monitor
          example: cmfzlu1dt000j12ldeqrfszq0
        companyId:
          type: string
          description: The company ID being monitored
          example: '123456789'
        countryCode:
          type: string
          description: The country code for the monitored company
          example: DE
        companyName:
          type: string
          description: The legal name of the monitored company
          example: Topograph SAS
          nullable: true
        metadata:
          type: object
          additionalProperties:
            type: string
          example:
            caseId: case-12345
          description: >-
            Key-value pairs provided at monitor creation, echoed back in
            responses and monitor.notification webhooks.
      required:
        - id
        - companyId
        - countryCode
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````